# This spec file is a part of Ghost2 utility 
# used by the Marionnet project <http://www.marionnet.org>

# Copyright (C) 2009  Jonathan Roudiere
# Licence GPLv2+ : GNU GPL version 2 or later

Name:			ghost2
Version:		2.0
Release:		1
Summary:		Shell tool to Ghostify network interface
Group:			System Environment/Shells
License:		GPLv2+
URL:			http://www.marionnet.org/
Vendor:			Marionnet repository
Packager:		Roudiere Jonathan <roudiere@lipn.univ-paris13.fr>
Source0:		ghost-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/ghost-%{version}-%{release}-root-%(%{__id_u} ldArch-n)


# to overide architecture detection by rpmbuild 
# BuildArch:		i386

# tags used to add a explicit binary prerequisite, use with 
# a binary name or through a "%define mybin /path/to/mybin"
# a the top and here "BuildPrereq %{mybin}" 
# BuildPrereq: 		wget

# List of packages need to be installed to build package 
# of this software
BuildRequires:		kernel-headers, gcc, make
# List of packages need to run software 
Requires:		glibc

%description
Ghost2 is a little tool which allow to ghostify a network interface (card).
Ghostify and unghostify operations allow respectively to hide and to make
again visible a network  interface (card). To work successfully ghost2 must
be execute on a Linux Kernel which supports this type of operations. Patch
to the Linux kernels are available at <http://www.marionnet.org/> under the
downloads section.

%prep
%setup -q -n ghost-2.0

%build
make pack

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/sbin/ghost2
/usr/sbin/ghostify
/usr/sbin/unghostify
%doc /usr/share/doc/ghost-2.0/GhostKernelError.fr.txt
%doc /usr/share/doc/ghost-2.0/GhostKernelError.txt
%doc /usr/share/doc/ghost-2.0/LICENCE
%doc /usr/share/doc/ghost-2.0/README
/usr/share/man/fr/man8/ghost2.8.gz
/usr/share/man/fr/man8/ghostify.8.gz
/usr/share/man/fr/man8/unghostify.8.gz
/usr/share/man/man8/ghost2.8.gz
/usr/share/man/man8/ghostify.8.gz
/usr/share/man/man8/unghostify.8.gz

%changelog
* Sat Jul 11 2009 Jonathan Roudiere <roudiere@lipn.univ-paris13.fr> - 2.0.0
- Initial release.

